'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _CustomErrorTemplate = require('./CustomErrorTemplate');

var _CustomErrorTemplate2 = _interopRequireDefault(_CustomErrorTemplate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function CustomFieldTemplate(props) {
    var id = props.id,
        classNames = props.classNames,
        help = props.help,
        description = props.description,
        rawErrors = props.rawErrors,
        children = props.children;


    return _react2.default.createElement(
        'div',
        { className: classNames, style: { marginTop: '16px', marginBottom: '8px' } },
        description,
        children,
        _react2.default.createElement(_CustomErrorTemplate2.default, { errors: rawErrors }),
        help
    );
}

exports.default = CustomFieldTemplate;
module.exports = exports['default'];